Close SNMP session

- « SNMP

- SNMP::__construct »

- PHP Manual
- SNMP
- Close SNMP session

# SNMP::close

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

SNMP::close — Close SNMP session

### Description

public SNMP::close(): bool

Frees previously allocated SNMP session object.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 SNMP::close() example

    <?php
      $session = new SNMP(SNMP::VERSION_1, "127.0.0.1", "public");
      # ...
      # get, walk, etc goes here
      # ...
      $session->close();
    ?>

### See Also

- SNMP::__construct() - Creates SNMP instance representing session to remote SNMP agent